#ifndef ALIENS_H
#define ALIENS_H

#include "game_data.h"


class Aliens : public QObject
{
Q_OBJECT
public:
	explicit Aliens(Game_Data * gd, QObject *parent = 0);
	void AddAlien(int srcId);
	void nextWave();
	void update();
signals:

public slots:
	void DelAlien(int Id);
	void retrace(bool * OK);
private:
	Game_Data * gameData;
	QPointF globStart;
	QPointF globFinish;
	int nextId;
};

#endif // ALIENS_H
